"use client";

import React, { useState, useEffect } from 'react';
import { EyeOutlined } from '@ant-design/icons';
import "./index.scss";
var ImagePreview = function ImagePreview(props) {
  var title = props.title,
    src = props.src,
    preview = props.preview,
    width = props.width,
    innerSrc = props.innerSrc;
  var _useState = useState(false),
    showMask = _useState[0],
    setShowMask = _useState[1];
  useEffect(function () {
    var haveScrollBar = document.body.scrollHeight > (window.innerHeight || document.documentElement.clientHeight);
    if (showMask) {
      document.documentElement.style.overflowY = 'hidden';
      document.addEventListener('keydown', function (event) {
        getKey(event);
      });
      if (haveScrollBar) {
        document.documentElement.style.paddingRight = '12px';
      }
    } else {
      document.documentElement.style.overflowY = 'auto';
      document.documentElement.style.paddingRight = 'unset';
      document.removeEventListener('keydown', function (event) {
        getKey(event);
      });
    }
  }, [showMask]);
  var getKey = function getKey(event) {
    if (event.keyCode === 9) {
      event.preventDefault();
    }
    if (event.keyCode === 27) {
      setShowMask(false);
    }
  };
  var handleClick = function handleClick() {
    setShowMask(true);
  };
  var generatePreview = function generatePreview() {
    return /*#__PURE__*/React.createElement("div", {
      className: "img-preview-hidden-wrapper fixed inset-0 bg-zinc-400/25 backdrop-blur-sm dark:bg-black/40 opacity-100"
    }, /*#__PURE__*/React.createElement("div", {
      className: "flex items-center justify-center"
    }, /*#__PURE__*/React.createElement("img", {
      id: "img-inner-mask",
      src: innerSrc
    })));
  };
  console.log(showMask, 'showMaskshowMask');
  return /*#__PURE__*/React.createElement("div", {
    className: "image-preview-wrapper"
  }, title && /*#__PURE__*/React.createElement("span", {
    className: "mb-2 text-lg font-medium"
  }, title), /*#__PURE__*/React.createElement("div", {
    className: "img-wrapper"
  }, /*#__PURE__*/React.createElement("img", {
    style: {
      width: width
    },
    width: width,
    src: src
  }), preview && /*#__PURE__*/React.createElement("div", {
    onClick: handleClick,
    className: "w-full h-full img-mask flex items-center justify-center"
  }, /*#__PURE__*/React.createElement(EyeOutlined, {
    style: {
      fontSize: 20
    }
  })), showMask && generatePreview()));
};
export default ImagePreview;