'use client';

import _extends from "@babel/runtime/helpers/extends";
import _message from "antd/es/message";
import React, { useState } from 'react';
import { Prism as SyntaxHighlighter } from 'react-syntax-highlighter';
import { vscDarkPlus, coyWithoutShadows, darcula } from 'react-syntax-highlighter/dist/esm/styles/prism';
import "./index.scss";
var copyText = function copyText(value) {
  try {
    navigator.clipboard.writeText(value).then(function () {});
  } catch (err) {
    console.error('Copied to clipboard err:', err);
  }
};
var them = {
  dark: vscDarkPlus,
  light: coyWithoutShadows
};
var colorList = {
  GET: {
    color: '#10B981'
  },
  POST: {
    color: '#0EA5E9'
  },
  PUT: {
    color: '#F59E0B'
  },
  DELETE: {
    color: '#EA4444'
  },
  PATCH: {
    color: '#AB93F2'
  }
};
var OmsSyntaxHighlight = function OmsSyntaxHighlight(props) {
  var textContent = props.textContent,
    darkMode = props.darkMode,
    _props$language = props.language,
    language = _props$language === void 0 ? 'javascript' : _props$language,
    title = props.title,
    explain = props.explain;
  var _useState = useState(language),
    localLanguage = _useState[0],
    setLocalLanguage = _useState[1];
  them.light = typeof darkMode === 'boolean' ? coyWithoutShadows : darcula;
  var languageList = ['cURL', 'javaScript', 'Python', 'PHP'];
  var handleChange = function handleChange(e) {
    setLocalLanguage(e.toLowerCase());
  };
  var handleCopy = function handleCopy() {
    copyText(textContent);
    _message.success('Copied!');
  };
  return /*#__PURE__*/React.createElement("div", {
    className: "show-code-wrapper"
  }, /*#__PURE__*/React.createElement("div", {
    className: "code-title"
  }, /*#__PURE__*/React.createElement("span", {
    style: {
      marginRight: 10
    }
  }, title), /*#__PURE__*/React.createElement("div", {
    style: {
      height: '100%'
    }
  }, title === 'Request' && languageList.map(function (item) {
    return /*#__PURE__*/React.createElement("button", {
      key: item,
      className: item.toLowerCase() === localLanguage.toLowerCase() ? 'active' : null,
      onClick: function onClick() {
        handleChange(item);
      },
      style: {
        marginRight: 10
      }
    }, item);
  }))), explain && /*#__PURE__*/React.createElement("div", {
    className: "explain gap-4 px-4"
  }, explain === null || explain === void 0 ? void 0 : explain.map(function (item) {
    return /*#__PURE__*/React.createElement("span", {
      key: item,
      style: _extends({}, colorList[item]),
      className: "explain-item"
    }, item);
  })), /*#__PURE__*/React.createElement("div", {
    className: "code-inner"
  }, /*#__PURE__*/React.createElement(SyntaxHighlighter, {
    showLineNumbers: true,
    lineNumberStyle: {
      color: '#ddd',
      fontSize: 10
    },
    style: darkMode ? them.dark : them.light,
    language: localLanguage,
    PreTag: "div"
  }, String(textContent).replace(/\n$/, '')), /*#__PURE__*/React.createElement("span", {
    onClick: handleCopy,
    className: "copy-button"
  }, "copy")));
};
export default OmsSyntaxHighlight;