"use strict";
"use client";

exports.__esModule = true;
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _icons = require("@ant-design/icons");
require("./index.scss");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var ImagePreview = function ImagePreview(props) {
  var title = props.title,
    src = props.src,
    preview = props.preview,
    width = props.width,
    innerSrc = props.innerSrc;
  var _useState = (0, _react.useState)(false),
    showMask = _useState[0],
    setShowMask = _useState[1];
  (0, _react.useEffect)(function () {
    var haveScrollBar = document.body.scrollHeight > (window.innerHeight || document.documentElement.clientHeight);
    if (showMask) {
      document.documentElement.style.overflowY = 'hidden';
      document.addEventListener('keydown', function (event) {
        getKey(event);
      });
      if (haveScrollBar) {
        document.documentElement.style.paddingRight = '12px';
      }
    } else {
      document.documentElement.style.overflowY = 'auto';
      document.documentElement.style.paddingRight = 'unset';
      document.removeEventListener('keydown', function (event) {
        getKey(event);
      });
    }
  }, [showMask]);
  var getKey = function getKey(event) {
    if (event.keyCode === 9) {
      event.preventDefault();
    }
    if (event.keyCode === 27) {
      setShowMask(false);
    }
  };
  var handleClick = function handleClick() {
    setShowMask(true);
  };
  var generatePreview = function generatePreview() {
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: "img-preview-hidden-wrapper fixed inset-0 bg-zinc-400/25 backdrop-blur-sm dark:bg-black/40 opacity-100"
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: "flex items-center justify-center"
    }, /*#__PURE__*/_react["default"].createElement("img", {
      id: "img-inner-mask",
      src: innerSrc
    })));
  };
  console.log(showMask, 'showMaskshowMask');
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "image-preview-wrapper"
  }, title && /*#__PURE__*/_react["default"].createElement("span", {
    className: "mb-2 text-lg font-medium"
  }, title), /*#__PURE__*/_react["default"].createElement("div", {
    className: "img-wrapper"
  }, /*#__PURE__*/_react["default"].createElement("img", {
    style: {
      width: width
    },
    width: width,
    src: src
  }), preview && /*#__PURE__*/_react["default"].createElement("div", {
    onClick: handleClick,
    className: "w-full h-full img-mask flex items-center justify-center"
  }, /*#__PURE__*/_react["default"].createElement(_icons.EyeOutlined, {
    style: {
      fontSize: 20
    }
  })), showMask && generatePreview()));
};
var _default = exports["default"] = ImagePreview;