"use strict";
'use client';

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _message2 = _interopRequireDefault(require("antd/lib/message"));
var _react = _interopRequireWildcard(require("react"));
var _reactSyntaxHighlighter = require("react-syntax-highlighter");
var _prism = require("react-syntax-highlighter/dist/esm/styles/prism");
require("./index.scss");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var copyText = function copyText(value) {
  try {
    navigator.clipboard.writeText(value).then(function () {});
  } catch (err) {
    console.error('Copied to clipboard err:', err);
  }
};
var them = {
  dark: _prism.vscDarkPlus,
  light: _prism.coyWithoutShadows
};
var colorList = {
  GET: {
    color: '#10B981'
  },
  POST: {
    color: '#0EA5E9'
  },
  PUT: {
    color: '#F59E0B'
  },
  DELETE: {
    color: '#EA4444'
  },
  PATCH: {
    color: '#AB93F2'
  }
};
var OmsSyntaxHighlight = function OmsSyntaxHighlight(props) {
  var textContent = props.textContent,
    darkMode = props.darkMode,
    _props$language = props.language,
    language = _props$language === void 0 ? 'javascript' : _props$language,
    title = props.title,
    explain = props.explain;
  var _useState = (0, _react.useState)(language),
    localLanguage = _useState[0],
    setLocalLanguage = _useState[1];
  them.light = typeof darkMode === 'boolean' ? _prism.coyWithoutShadows : _prism.darcula;
  var languageList = ['cURL', 'javaScript', 'Python', 'PHP'];
  var handleChange = function handleChange(e) {
    setLocalLanguage(e.toLowerCase());
  };
  var handleCopy = function handleCopy() {
    copyText(textContent);
    _message2["default"].success('Copied!');
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "show-code-wrapper"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "code-title"
  }, /*#__PURE__*/_react["default"].createElement("span", {
    style: {
      marginRight: 10
    }
  }, title), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      height: '100%'
    }
  }, title === 'Request' && languageList.map(function (item) {
    return /*#__PURE__*/_react["default"].createElement("button", {
      key: item,
      className: item.toLowerCase() === localLanguage.toLowerCase() ? 'active' : null,
      onClick: function onClick() {
        handleChange(item);
      },
      style: {
        marginRight: 10
      }
    }, item);
  }))), explain && /*#__PURE__*/_react["default"].createElement("div", {
    className: "explain gap-4 px-4"
  }, explain === null || explain === void 0 ? void 0 : explain.map(function (item) {
    return /*#__PURE__*/_react["default"].createElement("span", {
      key: item,
      style: (0, _extends2["default"])({}, colorList[item]),
      className: "explain-item"
    }, item);
  })), /*#__PURE__*/_react["default"].createElement("div", {
    className: "code-inner"
  }, /*#__PURE__*/_react["default"].createElement(_reactSyntaxHighlighter.Prism, {
    showLineNumbers: true,
    lineNumberStyle: {
      color: '#ddd',
      fontSize: 10
    },
    style: darkMode ? them.dark : them.light,
    language: localLanguage,
    PreTag: "div"
  }, String(textContent).replace(/\n$/, '')), /*#__PURE__*/_react["default"].createElement("span", {
    onClick: handleCopy,
    className: "copy-button"
  }, "copy")));
};
var _default = exports["default"] = OmsSyntaxHighlight;